## com.lowagie.text.rtf.document
Class RtfInfoElement

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.document.RtfInfoElement

All Implemented Interfaces:
  RtfBasicElement

    public class RtfInfoElement

extends RtfElement

Stores one information group element. Valid elements are author, title, subject, keywords, producer and creationdate.

Version:
  $Version:$
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private java.lang.String` `content` The content of this RtfInfoElement
`private static byte[]` `INFO_AUTHOR` Constant for the author element
`private static byte[]` `INFO_CREATION_DATE` Constant for the creationdate element
`private static byte[]` `INFO_KEYWORDS` Constant for the keywords element
`private static byte[]` `INFO_PRODUCER` Constant for the producer element
`private static byte[]` `INFO_SUBJECT` Constant for the subject element
`private static byte[]` `INFO_TITLE` Constant for the title element
`private int` `infoType` The type of this RtfInfoElement.

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfInfoElement(RtfDocument doc, Meta meta)` Constructs a RtfInfoElement based on the given Meta object

Method Summary
`private java.lang.String` `convertDate(java.lang.String date)` Converts a date from the format used by iText to the format required by rtf. iText: EEE MMM dd HH:mm:ss zzz yyyy - rtf: \\'yr'yyyy\\'mo'MM\\'dy'dd\\'hr'HH\\'min'mm\\'sec'ss
`byte[]` `write()` Writes this RtfInfoElement

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INFO_AUTHOR

    private static final byte[] INFO_AUTHOR

  Constant for the author element

### INFO_SUBJECT

    private static final byte[] INFO_SUBJECT

  Constant for the subject element

### INFO_KEYWORDS

    private static final byte[] INFO_KEYWORDS

  Constant for the keywords element

### INFO_TITLE

    private static final byte[] INFO_TITLE

  Constant for the title element

### INFO_PRODUCER

    private static final byte[] INFO_PRODUCER

  Constant for the producer element

### INFO_CREATION_DATE

    private static final byte[] INFO_CREATION_DATE

  Constant for the creationdate element

### infoType

    private int infoType

  The type of this RtfInfoElement. The values from Element.INFO_ELEMENT_NAME are used.

### content

    private java.lang.String content

  The content of this RtfInfoElement

Constructor Detail

### RtfInfoElement

    public RtfInfoElement(RtfDocument doc,
                          Meta meta)

  Constructs a RtfInfoElement based on the given Meta object

  Parameters:
    `doc` - The RtfDocument this RtfInfoElement belongs to
    `meta` - The Meta object this RtfInfoElement is based on

Method Detail

### write

    public byte[] write()

  Writes this RtfInfoElement

  Specified by:
    `write` in interface `RtfBasicElement`
  Overrides:
    `write` in class `RtfElement`
  Returns:
    A byte array containing the RtfInfoElement data

### convertDate

    private java.lang.String convertDate(java.lang.String date)

  Converts a date from the format used by iText to the format required by rtf.
  iText: EEE MMM dd HH:mm:ss zzz yyyy - rtf: \\'yr'yyyy\\'mo'MM\\'dy'dd\\'hr'HH\\'min'mm\\'sec'ss

  Parameters:
    `date` - The date formated by iText
  Returns:
    The date formated for rtf